<template>
  <div>
    <Chart :cdata="cdata" />
  </div>
</template>

<script>
import Chart from "./chart.vue";
import axios from "@/api/ajax.js"
export default {
  data() {
    return {
      isActivation: true,
      cdata: {
        category: ["2/1", "2/2", "2/3", "2/4", "2/5", "2/6", "2/7"],
        actionData: [],
      },
    };
  },
  components: {
    Chart,
  },
  mounted() {
    this.GetActivation();
    setInterval(() => {
      this.GetActivation();
    }, 5000);
  },
  methods: {
    GetActivation() {
      axios.post("/api/dt_equipinforecord/GetActivation", null, "").then((x) => {
        if (x.data.status) {
          this.cdata.category = [];
          for (let index = 0; index < x.data.data.time.length; index++) {
            this.cdata.category.push(x.data.data.time[index]);
            this.cdata.actionData.push(x.data.data.rate[index]);
          }
        }
      });
    },
  },
};
</script>

<style lang="scss" scoped>
</style>